---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: backend
  namespace: comparisons
spec:
  template:
    spec:
      containers:
      - name: backend
        image: cr.yandex/crp3ccidau046kdj8g9q/comparisons-backend:8df50db379f53c35a20fdffd4803883564a11844
        env:
        - name: HTTP_PORT
          value: '8080'
        - name: LAST_MASTER_BIM
          value: '100_000'
        - name: APP_NAME
          value: comparisons-api-v2
        - name: APP_VERSION
          value: 0.0.1
        - name: LOGGER_LOG_LEVEL
          value: info
        - name: DATABASE_HOST
          value: postgres-service
        - name: DATABASE_PORT
          value: '5432'
        - name: DATABASE_NAME
          value: postgres
        - name: DATABASE_DB
          value: comparisons
        - name: API_ADDRESS
          value: 0.0.0.0:8080
        - name: API_ADDRESS_FILE
          value: 0.0.0.0:8080
        - name: ENABLE_SQL_QUERY
          value: '0'
        - name: DOCUMENTATIONS_INTERNAL_HOST
          value: http://documentations-service.documentations.svc.cluster.local:8080
        - name: DOCUMENTATIONS_EXTERNAL_HOST
          value: http://documentations-service.documentations.svc.cluster.local:8080/
        - name: DOCUMENTATION_URL
          value: http://documentations-service.documentations.svc.cluster.local:8080/
        - name: DOCUMENTATION_FILESTREAM_URL
          value: http://documentations-filestream-service.documentations.svc.cluster.local:8080/
        - name: WORKFLOWS_HOST
          value: http://workflows-service.workflow.svc.cluster.local:8000/
        - name: EAV_HOST
          value: http://eav-service.eav.svc.cluster.local:8000
        - name: WORKSPACES_HOST
          value: http://workspaces-service.workspaces.svc.cluster.local:8000/
        - name: COMPARISON_URL
          value: http://backend-service.comparisons.svc.cluster.local:8080/
        - name: WORKFLOWS_IMAGE_VERSION
          value: master
        - name: EXTERNAL_DOCUMENTATION_URL
          value: http://documentations-service.documentations.svc.cluster.local:8080/
        - name: WORKFLOWS_BIMV2_INTERNAL_HOST
          value: http://backend-service.bim.svc.cluster.local:8000/
        - name: ENABLE_SSL
          value: '0'
        - name: WORKFLOWS_DJANGO_HOST
          value: http://backend.django.svc.cluster.local:8000
